Bug 509024 - TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 18:01 EDT by Ted X Toth
Modified: 2009-07-02 10:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 09:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VM screen capture (29.97 KB, image/gif)
2009-06-30 18:02 EDT, Ted X Toth
no flags Details

  None (edit)
Description Ted X Toth 2009-06-30 18:01:41 EDT
Description of problem: Acanconda failure when installing pungi created DVD.


Version-Release number of selected component (if applicable):


How reproducible:
Build a dvd with the spin-kickstart fedora-install-fedora.ks and try installing it.

Steps to Reproduce:
1.pungi -c fedora-install-fedora.ks --nosource --force
2.burn the DVD iso to a DVD
3.attempt to install DVD 
  
Actual results:
Pictured in attached gif


Expected results:


Additional info:
I think this problem is the F10 version of Bug 489709 -  Anaconda error installing bootloader
Comment 1 Ted X Toth 2009-06-30 18:02:57 EDT
Created attachment 350026 [details]
VM screen capture
Comment 2 Chris Lumens 2009-07-01 09:45:13 EDT
This is fixed in F11.  Thanks for the bug report.
Comment 3 Ted X Toth 2009-07-01 09:55:06 EDT
But F10 is broken! The fix needs to be back ported.
Comment 4 Chris Lumens 2009-07-01 10:00:03 EDT
This is likely because you are using an updated yum but the original anaconda for F10.  We do not release updates for anaconda for older releases as it makes little sense, and the reasons have been rehashed in plenty of places so it's not worth discussing here again.
Comment 5 Ted X Toth 2009-07-01 10:04:42 EDT
Shouldn't the Requires of yum then be = and not >= ?
Comment 6 Kevin Kofler 2009-07-01 18:45:32 EDT
> We do not release updates for anaconda for older releases as it makes little
> sense

It makes little sense not to release them. Respins need Anaconda updates. People do respins. FedoraUnity does them, corporate deployments do them, even some regular users do them. Please do not ignore them. Having an Anaconda update which works with the latest yum stable update is essential.
Comment 7 Chris Lumens 2009-07-02 09:47:20 EDT
FedoraUnity does backports of specific patches.  We do not have the resources available to work on the current release, the last two releases, and three releases of RHEL concurrently.  Again, this has been rehashed countless times.  It's not going to get done in this bug report too.
Comment 8 Kevin Kofler 2009-07-02 10:32:45 EDT
Can't you just let the FedoraUnity folks or whoever else cares about this issue push those updates? You (Anaconda developers) don't have those resources, but other people in Fedora do.

Note You need to log in before you can comment on or make changes to this bug.